Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.tracking.events
Class TrackingEvent

    java.lang.Object
      com.bea.p13n.property.AbstractConfigurableEntity
          com.bea.p13n.events.Event
              com.bea.p13n.tracking.events.TrackingEvent

All Implemented Interfaces
  EventConstants, ConfigurableEntity, Serializable

Direct Known Subclasses:
  CampaignUserActivityEvent, ClickEvent, ContentEvent, ContentUsageEvent, RuleEvent, SearchEvent, SessionBeginEvent, SessionEndEvent, SessionLoginEvent, ShoppingEvent, UserRegistrationEvent

    public abstract class TrackingEvent

extends Event

The base class for implementing any behavior tracking events. Events that will be persisted to the EVENT table for beahvior tracking must subclass this class.

See Also
  Serialized Form

Field Summary
`static String` | `REQUEST` Event attribute key name for the request object Attribute value is a com.bea.p13n.http.Request
`static String` | `SESSION_ID` Event attribute key name for session id Attribute value is a String
`static String` | `USER_ID` Event attribute key name for user id Attribute value is a String
`static String` | `USER_TYPE` Event attribute key name for user type.

Fields inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`CE_METHOD_CACHE, instanceClass, PREFIX_GET, PREFIX_SET, propertyCache, textFormatter`

Fields inherited from interface com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Fields inherited from interface com.bea.p13n.events.EventConstants
`TYPE_ALL`

Constructor Summary
`TrackingEvent(String eventType, javax.servlet.http.HttpSession session, String theXMLNamespace, String theXSDFile, String[] theSchemaKeys)` Create a new TrackingEvent.
`TrackingEvent(String theEventType, javax.servlet.http.HttpSession session, String theXMLNamespace, String theXSDFile, String[] theSchemaKeys, javax.servlet.http.HttpServletRequest theRequest)` Create a new TrackingEvent.
`TrackingEvent(String theEventType, String theSessionId, String theUserId, String theXMLNamespace, String theXSDFile, String[] theSchemaKeys)` Deprecated Use TrackingEvent(String theEventType, HttpSession session, String theXMLNamespace, String theXSDFile, String[] theSchemaKeys)
`TrackingEvent(String theEventType, String theSessionId, String theUserId, String theXMLNamespace, String theXSDFile, String[] theSchemaKeys, javax.servlet.http.HttpServletRequest theRequest)` Deprecated Use TrackingEvent(String theEventType, HttpSession session, String theXMLNamespace, String theXSDFile, String[] theSchemaKeys, HttpServletRequest theRequest)

Method Summary
`String[]` | `getSchemaKeys()` Get the schama keys (and their order) for the XML representation of this document
`javax.servlet.http.HttpSession` | `getSession()`
`String` | `getXMLNamespace()` Get the XML namespace for this event
`String` | `getXSDFile()` Get the XSD schema file for this event
`void` | `setSchemaKeys(String[] schemaKeys)` Get the schema keys for this event's XML representation
`void` | `setSession(javax.servlet.http.HttpSession session)` HttpSession object
`void` | `setXMLNamespace(String newXMLNamespace)` Set the XML namespace for this event
`void` | `setXSDFile(String newXSDFile)` Set the XSD schema file for this event

Methods inherited from class com.bea.p13n.events.Event
`getApplication, getAttribute, getAttributeNames, getProperty, getTimeStamp, getType, removeAttribute, setApplication, setAttribute, toString`

Methods inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`createMapKey, getCachedProperty, getExplicitProperty, getExplicitSetter, getImplicitProperty, getJndiName, getPkString, getPropertyAsString, getPropertyCache, getPropertyNoDefault, getUniqueId, hasExplicitGetter, hasExplicitSetter, removeExplicitProperty, removeProperty, setExplicitProperty, setProperty, upcaseFirst`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.p13n.property.ConfigurableEntity
`getJndiName, getPkString, getPropertyAsString, getPropertyNoDefault, getUniqueId, removeProperty, setProperty`

Field Detail

### SESSION_ID

    public static final String SESSION_ID

  Event attribute key name for session id Attribute value is a String

  See Also
    Constants Summary

### USER_ID

    public static final String USER_ID

  Event attribute key name for user id Attribute value is a String

  See Also
    Constants Summary

### USER_TYPE

    public static final String USER_TYPE

  Event attribute key name for user type. Attribute value is a String

  See Also
    `ProfileType`, Constants Summary

### REQUEST

    public static final String REQUEST

  Event attribute key name for the request object Attribute value is a com.bea.p13n.http.Request

  See Also
    Constants Summary

Constructor Detail

### TrackingEvent

    public TrackingEvent(String eventType,
                         javax.servlet.http.HttpSession session,
                         String theXMLNamespace,
                         String theXSDFile,
                         String[] theSchemaKeys)

  Create a new TrackingEvent. We'll get the sessionId, userId, and profileType all from the Session object. This API should be used instead of the deprecated constructors.

  Parameters
    `eventType` - the event's type
    `session` - the HttpSession from the application servlet. Cannot be null.
    `theXMLNamespace` - the namespace for an XML representation of this event type
    `theXSDFile` - the file that contains the schema which specifies and enforces typing on the data in the XML file
    `theSchemaKeys` - the list of keys (in their order in the XSD schema) representing the data to be persisted in this event's XML

### TrackingEvent

    public TrackingEvent(String theEventType,
                         javax.servlet.http.HttpSession session,
                         String theXMLNamespace,
                         String theXSDFile,
                         String[] theSchemaKeys,
                         javax.servlet.http.HttpServletRequest theRequest)

  Create a new TrackingEvent. We'll get the sessionId, userId, and profileType all from the Session object. This API should be used instead of the deprecated constructors.

  Parameters
    `theEventType` - the event's type
    `session` - the HttpSession from the application servlet. Cannot be null.
    `theXMLNamespace` - the namespace for an XML representation of this event type
    `theXSDFile` - the file that contains the schema which specifies and enforces typing on the data in the XML file
    `theSchemaKeys` - the list of keys (in their order in the XSD schema) representing the data to be persisted in this event's XML

### TrackingEvent

    public TrackingEvent(String theEventType,
                         String theSessionId,
                         String theUserId,
                         String theXMLNamespace,
                         String theXSDFile,
                         String[] theSchemaKeys)

  Deprecated Use TrackingEvent(String theEventType, HttpSession session, String theXMLNamespace, String theXSDFile, String[] theSchemaKeys)

  Create a new TrackingEvent.

  Parameters
    `theEventType` - the event's type
    `theSessionId` - from HttpSession.getId(). Cannot be null.
    `theUserId` - from HttpServletRequest.getRemoteUser() or equivalent (null if unknown)
    `theXMLNamespace` - the namespace for an XML representation of this event type
    `theXSDFile` - the file that contains the schema which specifies and enforces typing on the data in the XML file
    `theSchemaKeys` - the list of keys (in their order in the XSD schema) representing the data to be persisted in this event's XML

### TrackingEvent

    public TrackingEvent(String theEventType,
                         String theSessionId,
                         String theUserId,
                         String theXMLNamespace,
                         String theXSDFile,
                         String[] theSchemaKeys,
                         javax.servlet.http.HttpServletRequest theRequest)

  Deprecated Use TrackingEvent(String theEventType, HttpSession session, String theXMLNamespace, String theXSDFile, String[] theSchemaKeys, HttpServletRequest theRequest)

  Create a new TrackingEvent.

  Parameters
    `theEventType` - the event's type
    `theSessionId` - from HttpSession.getId(). Cannot be null.
    `theUserId` - from HttpServletRequest.getRemoteUser() or equivalent (null if unknown)
    `theXMLNamespace` - the namespace for an XML representation of this event type
    `theXSDFile` - the file that contains the schema which specifies and enforces typing on the data in the XML file
    `theSchemaKeys` - the list of keys (in their order in the XSD schema) representing the data to be persisted in this event's XML
    `theRequest` - the http servlet request object

Method Detail

### getXMLNamespace

    public String getXMLNamespace()

  Get the XML namespace for this event

### setXMLNamespace

    public void setXMLNamespace(String newXMLNamespace)

  Set the XML namespace for this event

### getXSDFile

    public String getXSDFile()

  Get the XSD schema file for this event

### setXSDFile

    public void setXSDFile(String newXSDFile)

  Set the XSD schema file for this event

### getSchemaKeys

    public String[] getSchemaKeys()

  Get the schama keys (and their order) for the XML representation of this document

### setSchemaKeys

    public void setSchemaKeys(String[] schemaKeys)

  Get the schema keys for this event's XML representation

### setSession

    public void setSession(javax.servlet.http.HttpSession session)

  HttpSession object

### getSession

    public javax.servlet.http.HttpSession getSession()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved